<template>
    <q-page class="bg-base">
        <Container :max-height="1" class="full-width column items-center justify-center q-gutter-y-lg">
            <q-scroll-area class="col full-width">
                <div class="row justify-center q-gutter-lg q-pa-lg">
                    <q-card v-ripple class="my-card q-pa-lg">
                        <q-card-section class="row justify-center q-gutter-y-md">
                            <q-card style="width: 80%; height: 200px">
                                <SingleValueWidget overline="sample title" :value="sampleValue" unit="Number of workers"/>
                            </q-card>
                            <div class="text-h6 text-center">
                                Single Value Widget
                            </div>
                        </q-card-section>
                        <q-separator/>
                        <q-card-actions align="center">
                            <q-btn label="select" flat color="primary" to="/widget/type/text/single"/>
                        </q-card-actions>
                    </q-card>
                    <q-card v-ripple class="my-card q-pa-lg">
                        <q-card-section class="row justify-center q-gutter-y-md">
                            <q-card style="width: 80%; height: 200px">
                                <CompareMetricWidget left="left-side" right="right-side" title="Number of sample"
                                                     :left-value="sampleValue2" :right-value="sampleValue3"/>
                            </q-card>
                            <div class="text-h6 text-center">
                                Compare Value Widget
                            </div>
                        </q-card-section>
                        <q-separator/>
                        <q-card-actions align="center">
                            <q-btn label="select" flat color="primary" to="/widget/type/text/compare"/>
                        </q-card-actions>
                    </q-card>
                    <q-card v-ripple class="my-card q-pa-lg">
                        <q-card-section class="row justify-center q-gutter-y-md">
                            <q-card style="width: 80%; height: 200px">
                                <RelativeMetricWidget unit="Average Time Spent"
                                                      overline="Worker Average Time"
                                                      :value="sampleValue4" :prev="sampleValue5"/>
                            </q-card>
                            <div class="text-h6 text-center">
                                Relative Value Widget
                            </div>
                        </q-card-section>
                        <q-separator/>
                        <q-card-actions align="center">
                            <q-btn label="select" flat color="primary" to="/widget/type/text/relative"/>
                        </q-card-actions>
                    </q-card>
                </div>

            </q-scroll-area>

        </Container>
    </q-page>

</template>

<script lang='ts'>
import {Component, Vue} from 'vue-property-decorator';
import Container from "components/Core/Container.vue";
import WidgetShell from "components/Widget/WidgetShell.vue";
import SingleValueWidget from "components/Widget/SingleValueWidget.vue";
import {MetricValue} from "src/classLibrary/Dashboard/SingeMetricQuery";
import CompareTextType from "pages/Widget/CompareTextType.vue";
import CompareMetricWidget from "components/Widget/CompareMetricWidget.vue";
import RelativeMetricWidget from "components/Widget/RelativeMetricWidget.vue";

@Component({
    components: {RelativeMetricWidget, CompareMetricWidget, CompareTextType, SingleValueWidget, WidgetShell, Container}
})
export default class TextWidgetType extends Vue {

    w = {name: 'sample', id: 'sample'}

    sampleValue = MetricValue.Count(24123);
    sampleValue2 = MetricValue.Count(14923);
    sampleValue3 = MetricValue.Count(15601);
    sampleValue4 = MetricValue.Duration(82753);
    sampleValue5 = MetricValue.Duration(76644);

}
</script>

<style lang='scss' scoped>
.my-card {
    width: 100%;
    max-width: 500px;
}
</style>
